Next: PET-specific commands and settings, Previous: VIC20-specific commands and settings, Up: Machine-specific features [Contents][Index]

### 7.6 PLUS4-specific commands and settings

#### 7.6.1 TED settings

#### 7.6.1.1 TED resources

`TEDVideoCache`

  Boolean specifying whether the video cache is turned on.

`TEDDoubleSize`

  Boolean specifying whether double-size mode is turned on.

`TEDDoubleScan`

  Boolean specifying whether double-scan mode is turned on.

`TEDPaletteFile`

  String specifying the name of the palette file being used. The `.vpl` extension is optional.

`TEDExternalPalette`

  Boolean specifying whether to use external palette file or not.

`TEDColorSaturation`

  Integer specifying saturation of internal calculated palette. (0..2000)

`TEDColorContrast`

  Integer specifying contrast of internal calculated palette. (0..2000)

`TEDColorBrightness`

  Integer specifying brightness of internal calculated palette. (0..2000)

`TEDColorGamma`

  Integer specifying gamma of internal calculated palette. (0..4000)

`TEDColorTint`

  Integer specifying tint of internal calculated palette. (0..2000)

`TEDPALScanLineShade`

  Integer specifying amount of scan line shading for the CRT emulation. (0..1000)

`TEDPALBlur`

  Integer specifying amount of horizontal blur for the CRT emulation. (0..1000)

`TEDPALOddLinePhase`

  Integer specifying phase for color carrier in odd lines. (0..2000)

`TEDPALOddLineOffset`

  Integer specifying phase offset for color carrier in odd lines. (0..2000)

`TEDAudioLeak`

  Boolean specifying whether to enable/disable video to audio leak emulation.

`TEDFilter`

  Integer specifying rendering filter. (0: None, 1: CRT emulation, 2: Scale2x)

`TEDBorderMode`

  Integer specifying border display mode. (0: normal, 1: full, 2: debug, 3: none)

#### 7.6.1.2 TED command-line options

`-TEDvcache`
`+TEDvcache`

  Enable/disable the video cache (`TEDVideoCache=1`, `TEDVideoCache=0`).

`-TEDdsize`
`+TEDdsize`

  Enable/disable double size (`TEDDoubleSize=1`, `TEDDoubleSize=0`).

`-TEDdscan`
`+TEDdscan`

  Enable/disable double scan (`TEDDoubleScan=1`, `TEDDoubleScan=0`).

`-TEDfilter <Mode>`

  Select rendering filter (`TEDFilter`). (0: None, 1: CRT emulation, 2: Scale2x)

`-TEDintpal`

  Use an internal calculated palette (`TEDExternalPalette=0`).

`-TEDextpal`

  Use an external palette (file) (`TEDExternalPalette=1`).

`-TEDpalette <name>`

  Specify name of the external palette file (`TEDPaletteFile`).

`-TEDborders <mode>`

  Set TED border display mode (`TEDBorderMode`). (0: normal, 1: full, 2: debug, 3: none)

`-TEDsaturation <0-2000>`

  Set saturation of internal calculated palette (`TEDColorSaturation`).

`-TEDcontrast <0-2000>`

  Set contrast of internal calculated palette (`TEDColorContrast`).

`-TEDbrightness <0-2000>`

  Set brightness of internal calculated palette (`TEDColorBrightness`).

`-TEDgamma <0-4000>`

  Set gamma of internal calculated palette (`TEDColorGamma`).

`-TEDtint <0-2000>`

  Set tint of internal calculated palette (`TEDColorTint`).

`-TEDoddlinesphase <0-2000>`

  Set phase for color carrier in odd lines (`TEDPALOddLinePhase`).

`-TEDoddlinesoffset <0-2000>`

  Set phase offset for color carrier in odd lines (`TEDPALOddLineOffset`).

`-TEDcrtblur <0-1000>`

  Amount of horizontal blur for the CRT emulation (`TEDPALBlur`).

`-TEDcrtscanlineshade <0-1000>`

  Amount of scan line shading for the CRT emulation (`TEDPALScanLineShade`).

`-TEDaudioleak`
`+TEDaudioleak`

  Enable/disable video to audio leak emulation (`TEDAudioLeak=1`, `TEDAudioLeak=0`).

#### 7.6.2 PLUS4 I/O extension settings

#### 7.6.2.1 PLUS4 I/O extension resources

`CartridgeReset`

  Boolean specifying whether the machine should be reset when a cartridge is changed.

`DIGIBLASTER`

  Boolean to enable/disable the Digiblaster emulation.

`SpeechEnabled`

  Boolean to enable/disable the emulation of the V364 speech chip.

`SidCart`

  Boolean specifying whether SID-Cart emulation is enabled or not.

`SidAddress`

  Integer that specifies the base address of the emulated SID chip. (0xFD40, 0xFE80)

`SidClock`

  Integer specifying the clock rate used for the emulated SID chip (0: C64, 1: Plus4)

`SIDCartJoy`

  Boolean to enable/disable the emulation of the SID-Cart control port.

#### 7.6.2.2 PLUS4 I/O extension command-line options

`-cartreset`
`+cartreset`

  Do/don’t reset machine if a cartridge is attached or detached (`CartridgeReset=1`, `CartridgeReset`).

`-cart <Name>`
`+cart`

  Smart-attach cartridge image / Start without cartridge

`-digiblaster`
`+digiblaster`

  Enable/disable the digiblaster add-on (`DIGIBLASTER=1`, `DIGIBLASTER=0`).

`-sidcart`
`+sidcart`

  Enable/disable SID Cartridge (`SidCart=1`, `SidCart=0`).

`-sidcartjoy`
`+sidcartjoy`

  Enable/disable SID cartridge control port (`SIDCartJoy=1`, `SIDCartJoy=0`).

`-sidcartaddress <address>`

  Specify address of the SID Cartridge (`SidAddress`). (0xFD40, 0xFE80)

`-sidcartclock <clock>`

  Specify clock of the SID Cartridge (`SidClock`). (0: C64, 1: Plus4)

`-speech`
`+speech`

  Enable/Disable the v364 speech add-on (`SpeechEnabled=1`, `SpeechEnabled=0`).

#### 7.6.3 PLUS4 system ROM settings

#### 7.6.3.1 PLUS4 system ROM resources

`KernalName`

  String specifying the name of the Kernal ROM (default `kernal`).

`BasicName`

  String specifying the name of the Basic ROM (default `basic`).

`FunctionLowName`

  String specifying the filename of the Lo Function ROM.

`FunctionHighName`

  String specifying the filename of the High Function ROM.

`c1loName`

  String specifying the filename of cartridge 1 Lo ROM.

`c1hiName`

  String specifying the filename of cartridge 1 High ROM.

`c2loName`

  String specifying the filename of cartridge 2 Lo ROM.

`c2hiName`

  String specifying the filename of cartridge 2 High ROM.

#### 7.6.3.2 PLUS4 system ROM command-line options

`-kernal <Name>`

  Specify name of the Kernal ROM image (`KernalName`).

`-basic <Name>`

  Specify name of the BASIC ROM image (`BasicName`).

`-functionlo <name>`

  Specify name of Function low ROM image (`FunctionLowName`).

`-functionhi <name>`

  Specify name of Function high ROM image (`FunctionHighName`).

`-c1lo <name>`

  Specify name of Cartridge 1 low ROM image (`c1loName`).

`-c1hi <name>`

  Specify name of Cartridge 1 high ROM image (`c1HiName`).

`-c2lo <name>`

  Specify name of Cartridge 2 low ROM image (`c2loName`).

`-c2hi <name>`

  Specify name of Cartridge 2 high ROM image (`c2HiName`).

#### 7.6.4 PLUS4 settings

#### 7.6.4.1 PLUS4 resources

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (1: PAL, 2: NTSC).

`RamSize`

  Integer specifying the size of the memory in KiB. (16, 32, 64)

`MemoryHack`

  Integer specifying what memory expansion hack is active. (0: None, 1: C256K, 2: H256K, 3: H1024K, 4: H4096K)

`Acia1Enable`

  Boolean specifying whether the ACIA should be emulated or not.

#### 7.6.4.2 PLUS4 command-line options

`-model <model>`

  Specify the PLUS4 model you want to emulate (`MachineVideoStandard`, `RamSize`, `KernalName`, `BasicName`, `FunctionLowName`, `FunctionHighName`, `c2loName`, `Acia1Enable`, `SpeechEnabled`). (c16/c16pal/c16ntsc, plus4/plus4pal/plus4ntsc, v364/cv364, c232)

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-ramsize <ramsize>`

  Specify size of RAM installed in KiB (`RamSize`). (16, 32, 64)

`-memoryexphack <device>`

  Set active memory expansion hack (`MemoryHack`). (0: None, 1: C256K, 2: H256K, 3: H1024K, 4: H4096K)

`-acia`
`+acia`

  Enable/Disable the ACIA emulation

`-userportdac`
`+userportdac`

  Enable/disable the userport DAC (`UserportDAC=1`, `UserportDAC=0`).

Next: PET-specific commands and settings, Previous: VIC20-specific commands and settings, Up: Machine-specific features [Contents][Index]